VST 3 SDK: ConnectionProxy Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Protected Attributes | List of all members
ConnectionProxy Class Reference

Helper for creating and initializing component. More...

`#include <connectionproxy.h>`

Inheritance diagram for ConnectionProxy:

## Public Member Functions
| ConnectionProxy (IConnectionPoint *srcConnection)
virtual | ~ConnectionProxy ()
tresult | connect (IConnectionPoint *other) override
tresult | disconnect (IConnectionPoint *other) override
tresult | notify (IMessage *message) override
bool | disconnect ()
virtual tresult | connect (IConnectionPoint *other)=0
virtual tresult | disconnect (IConnectionPoint *other)=0
virtual tresult | notify (IMessage *message)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Attributes
std::unique_ptr< ThreadChecker > | threadChecker {ThreadChecker::create ()}
IPtr< IConnectionPoint > | srcConnection
IPtr< IConnectionPoint > | dstConnection

## Additional Inherited Members
Static Public Attributes inherited from IConnectionPoint
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Helper for creating and initializing component.

## Constructor & Destructor Documentation

## ◆ ConnectionProxy()

ConnectionProxy | ( | IConnectionPoint * | srcConnection | ) |

## ◆ ~ConnectionProxy()

~ConnectionProxy | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ connect()

tresult connect | ( | IConnectionPoint * | other | ) |
| overridevirtual

Implements IConnectionPoint.

## ◆ disconnect() [1/2]

tresult disconnect | ( | IConnectionPoint * | other | ) |
| overridevirtual

Implements IConnectionPoint.

## ◆ notify()

tresult notify | ( | IMessage * | message | ) |
| overridevirtual

Implements IConnectionPoint.

## ◆ disconnect() [2/2]

bool disconnect | ( |  | ) |

## Member Data Documentation

## ◆ threadChecker

std::unique_ptr<ThreadChecker> threadChecker {ThreadChecker::create ()}
| protected

## ◆ srcConnection

IPtr<IConnectionPoint> srcConnection
| protected

## ◆ dstConnection

IPtr<IConnectionPoint> dstConnection
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.